Fedora 8 : Django-0.96.3-1.fc8 (2008-7288)

Medium Nessus Plugin ID 34125


The remote Fedora host is missing a security update.


Update to upstream version 0.96.3 that fixes cross-site request forgery (CSRF) issue that may occur after user re-authentication after expiration of current session:
http://www.djangoproject.com/weblog/2008/sep/02/security/ This issue also affected deployments with Django's bundled CSRF-protection module activated.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected Django package.

See Also




Plugin Details

Severity: Medium

ID: 34125

File Name: fedora_2008-7288.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2008/09/10

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:Django, cpe:/o:fedoraproject:fedora:8

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2008/09/05

Reference Information

CVE: CVE-2008-3909

FEDORA: 2008-7288

CWE: 352